<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 

	# class cache cat

	class cache_cat {

		public static function get($ID) # get
		{
		
		$file = cache."_cat/{$ID}.data";	
		$cache = @file_get_contents($file); 	
		return unserialize($cache);

		}	

		public static function save($ID) # save
		{
		
		$file = cache."_cat/{$ID}.data";	
		$cache = DB :: $dbh -> queryFetch("SELECT * FROM cat WHERE id = ? LIMIT 1;", array($ID));        
		$cache = serialize($cache);	
		@file_put_contents($file, $cache);

		}

	
		public static function check($ID) # check
		{
		
		$file = cache."_cat/{$ID}.data";	
		if(!file_exists($file)):  	
		self::save($ID);
		endif;
		return self::get($ID);

		}

		public static function ch($ID) # check file
		{
		
		$file = cache."_cat/{$ID}.data";	
		if(file_exists($file)):  
		return true;
		else:	
		return false;
		endif;	

		}	

		


	}	
?>